Summary:	POSIX-compliant implementation of /bin/sh
Summary(pl.UTF-8):	Zgodna z POSIX implementacja /bin/sh
Name:		dash
Version:	0.5.8
Release:	1
License:	GPL v2+
Group:		Applications/Shells
Source0:	http://gondor.apana.org.au/~herbert/dash/files/%{name}-%{version}.tar.gz
# Source0-md5:	5c152209680dab3c319e8923f6c51378
Patch0:		%{name}-format.patch
URL:		http://gondor.apana.org.au/~herbert/dash/
Requires(post):	grep
Requires(preun):	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir			/bin
%define		_shell			%{_bindir}/%{name}

%description
DASH is a POSIX-compliant implementation of /bin/sh that aims to be as
small as possible. It does this without sacrificing speed where
possible. In fact, it is significantly faster than bash (the GNU
Bourne-Again SHell) for most tasks.

DASH is a direct descendant of the NetBSD version of ash (the Almquist
SHell)

%description -l pl.UTF-8
DASH to zgodna z POSIX implementacja /bin/sh, której celem jest jak
najmniejszy rozmiar. Dokonano tego bez poświęcania szybkości tam,
gdzie to możliwe. W rzeczywistości dash jest znacząco szybszy od basha
(GNU Bourne-Again SHell) przy większości zadań.

DASH to bezpośredni następca wersji NetBSD asha (powłoki Almquist
SHell).

%prep
%setup -q
%patch0 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p %add_etc_shells -p /bin/dash
%preun	-p %remove_etc_shells -p /bin/dash

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dash
%{_mandir}/man1/dash.1*
%changelog
* Mon Oct 06 2014 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/dash.git;a=log;h=master

* Sun Oct 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 04cc3a1
- updated to 0.5.8
- added format patch (fixes build with -Werror=format-security)

* Thu Aug 30 2012 Jakub Bogusz <qboosh@pld-linux.org> fdc949b
- pl fix

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> 35674bc
- up to 0.5.7

* Wed May 18 2011 Kacper Kornet <draenog@pld-linux.org> 52d0c64
- up to 0.5.6.1

* Sun Aug 30 2009 Bartłomiej Zimoń <cactus@pld-linux.org> a8525a3
- up to 0.5.5.1; drop debian patch

* Fri May 09 2008 Jakub Bogusz <qboosh@pld-linux.org> f8ca40c
- unified

* Thu May 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f0abfc4
- rel 2; upstream fixes that are in debian patch

* Thu May 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 87dbe79
- new

* Sun Sep 02 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> f2d7d0c
- up to 0.5.4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 5b08424
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 26d3b2f
- converted to UTF-8

* Sat Jun 03 2006 Jakub Bogusz <qboosh@pld-linux.org> f844279
- pl

* Wed May 31 2006 Elan Ruusamäe <glen@pld-linux.org> eee38b5
- scriptlet deps

* Wed May 31 2006 Elan Ruusamäe <glen@pld-linux.org> 043b23b
- avoid copy-pastos

* Wed May 31 2006 Elan Ruusamäe <glen@pld-linux.org> d71c985
- new

